/*
    This file is part of meego-terminal

    Copyright (C) 2011 Nokia Corporation and/or its subsidiary(-ies).

    Contact: Ruslan Mstoi <ruslan.mstoi@nokia.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
    02110-1301  USA.
*/

#ifndef _MTERMINAL_DISPLAY_
#define _MTERMINAL_DISPLAY_

#include "TerminalDisplay.h"

using namespace Konsole;

/**
 * Terminal display widget for MeeGo touch specific features.
 *
 */
class MTerminalDisplay : public TerminalDisplay
{
    Q_OBJECT
public:
    MTerminalDisplay(QGraphicsWidget *parent=0);
    ~MTerminalDisplay();

protected:
    QVariant inputMethodQuery(Qt::InputMethodQuery query) const;
    void inputMethodEvent (QInputMethodEvent* event);
    void keyPressEvent(QKeyEvent* event);
    
    QString getCtrlifiedText(const QString& plainText);

private:
    int m_registeredToolbarId;

    // true if Ctrl toggle button (on the input method toolbar) is checked
    bool m_ctrlButtonIsChecked;
};

#endif
